Skip to content

List a zone's security scenarios

GET
/api/zones/{zoneId}/security/scenarios

Returns the security scenarios owned by the given zone.

Authorizations

ApiToken

Long-lived API token created via POST /api/api-tokens (returned once in plaintext).

Type
API Key (header: X-API-TOKEN)
or
JWT

JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer .

Type
HTTP (bearer)

Parameters

Path Parameters

zoneId*

Zone identifier

Type
string
Required

Query Parameters

page

The collection page number

Type
integer
Default
1
itemsPerPage

The number of items per page

Type
integer
Default
30
Minimum
0
Maximum
100

Responses

security-scenario collection

JSON
{
  
"totalItems": 0,
  
"search": {
  
  
"@type": "string",
  
  
"template": "string",
  
  
"variableRepresentation": "string",
  
  
"mapping": [
  
  
  
{
  
  
  
  
"@type": "string",
  
  
  
  
"variable": "string",
  
  
  
  
"property": "string",
  
  
  
  
"required": true
  
  
  
}
  
  
]
  
},
  
"view": {
  
  
"@id": "string",
  
  
"@type": "string",
  
  
"first": "string",
  
  
"last": "string",
  
  
"previous": "string",
  
  
"next": "string"
  
},
  
"member": [
  
  
{
  
  
  
"@context": "string",
  
  
  
"@id": "string",
  
  
  
"@type": "string",
  
  
  
"id": "0193b3e2-6c1a-7f2a-9a1b-2d3e4f5a6b7c",
  
  
  
"name": "block-sql-injection",
  
  
  
"enabled": true,
  
  
  
"participationMode": "opt_out",
  
  
  
"testing": false,
  
  
  
"evaluationScope": "ip",
  
  
  
"definition": "name: block-sql-injection enabled: true testing: false scope: ip ",
  
  
  
"createdAt": "2026-07-01T09:30:00+00:00",
  
  
  
"updatedAt": "2026-07-01T09:30:00+00:00"
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI